Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.qmap
Class QMapFieldAccess

    java.lang.Object
      |
      +--com.jxml.quick.access.QAccess
            |
            +--com.jxml.quick.access.QFieldAccess
                  |
                  +--com.jxml.quick.qmap.QMapFieldAccess

public class QMapFieldAccess
extends QFieldAccess

Field Summary
`static Class` | `mapClass`

Fields inherited from class com.jxml.quick.access.QFieldAccess
`field, pd`

Constructor Summary
`QMapFieldAccess()`

Method Summary
`void` | `add(Object parent, QTargetFactory parentFactory, Object child, QContext context)`
`QIterator` | `createIterator()`
`protected Map` | `getMap(QTargetFactory parentFactory, Object parent, QContext context)`
`protected Map` | `getNonNullMap(QTargetFactory parentFactory, Object parent, QContext context)`
`void` | `setIteratorParent(QIterator it, Object parent, QTargetFactory parentFactory, QContext context)`
`protected void` | `validateField(Field pd, QContext context)`

Methods inherited from class com.jxml.quick.access.QFieldAccess
`get, readable, setPD, writeable`

Methods inherited from class com.jxml.quick.access.QAccess
`allocateIterator, releaseIterator, reserve, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapClass

    public static final Class mapClass

Constructor Detail

### QMapFieldAccess

    public QMapFieldAccess()

Method Detail

### validateField

    protected void validateField(Field pd,
                                 QContext context)
                          throws QPE

  Overrides:
    `validateField` in class `QFieldAccess`

### createIterator

    public final QIterator createIterator()

  Overrides:
    `createIterator` in class `QFieldAccess`

### getMap

    protected Map getMap(QTargetFactory parentFactory,
                         Object parent,
                         QContext context)
                  throws QPE

### getNonNullMap

    protected Map getNonNullMap(QTargetFactory parentFactory,
                                Object parent,
                                QContext context)
                         throws QPE

### setIteratorParent

    public final void setIteratorParent(QIterator it,
                                        Object parent,
                                        QTargetFactory parentFactory,
                                        QContext context)
                                 throws QPE

  Overrides:
    `setIteratorParent` in class `QFieldAccess`

### add

    public final void add(Object parent,
                          QTargetFactory parentFactory,
                          Object child,
                          QContext context)
                   throws QPE

  Overrides:
    `add` in class `QFieldAccess`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD